Subject: Re: [PATCH 0/3] pseries: Track and expose idle PURR and SPURR ticks

From: Nathan Lynch <[email-masked]>
Date: Wed, 04 Dec 2019 16:24:10 -0600

"Gautham R. Shenoy" <[email-masked]> writes:
> From: "Gautham R. Shenoy" <[email-masked]>
>
> On PSeries LPARs, the data centers planners desire a more accurate
> view of system utilization per resource such as CPU to plan the system
> capacity requirements better. Such accuracy can be obtained by reading
> PURR/SPURR registers for CPU resource utilization.
>
> Tools such as lparstat which are used to compute the utilization need
> to know [S]PURR ticks when the cpu was busy or idle. The [S]PURR
> counters are already exposed through sysfs.  We already account for
> PURR ticks when we go to idle so that we can update the VPA area. This
> patchset extends support to account for SPURR ticks when idle, and
> expose both via per-cpu sysfs files.

Does anything really want to use PURR instead of SPURR? Seems like we
should expose only SPURR idle values if possible.